/*****************************************************************************
 * rmpstd.c - Source file for basic program standard library                 *
 * (libextstd.so) or (libextstd.a) - Version 0.4                             *
 * ------------------------------------------------------------------------- *
 * Copyright 2002 by Rosario Piro (mailto: devfaust@users.sourceforge.net)   *
 *                                                                           *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License, or       *
 *   (at your option) any later version.                                     *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the Free Software             *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
 *   or see http://www.gnu.org/copyleft/gpl.html                             *
 * ------------------------------------------------------------------------- */

/*********************/
/*** include files ***/
/*********************/
#include <extstdlib.h>


/************************/
/*** global variables ***/
/************************/
bool isInteractive = TRUE;
bool isVerbose = FALSE;


/****************************/
/*** function definitions ***/
/****************************/

/* check if a double value is approximately equal to zero */ 
bool isZero(double value, double accuracy) {
  if ( (value<accuracy) && (value>-accuracy) )
    return TRUE;
  else
    return FALSE;
}
